APIs / VivaReal / Price Insights

VivaReal: Price Insights

Price Insights from VivaReal as JSON. 1 credit per successful call.

GET /v1/vivareal/price-insights

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
portalstringOptionalZAP, VIVAREAL, zap, vivareal
citystringRequiredUp to 120 characters
statestringRequiredUp to 120 characters
neighborhoodstringOptionalUp to 120 characters
business_typestringRequiredRENTAL, SALE, rental, sale
unit_typestringRequiredUp to 40 characters
latitudenumberRequiredAny
longitudenumberRequiredAny
location_idstringRequiredUp to 255 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/vivareal/price-insights?portal=ZAP&city=Sao+Paulo&state=Sao+Paulo&neighborhood=Pinheiros&business_type=RENTAL&unit_type=APARTMENT&latitude=-23.563579&longitude=-46.691607&location_id=BR%3ESao+Paulo%3ENULL%3ESao+Paulo%3EZona+Oeste%3EPinheiros" \
  -H "X-API-Key: $API_KEY"